%define		commit		27817e835fe115ebbda5410ec904aa49a2ad01f1
# bash: %%(c=%{commit}; echo ${c:0:7})
%define		shortcommit	27817e8
%define		cdate		20130702
%define		rel		43
Summary:	An open source Linux client for Google Drive
Summary(pl.UTF-8):	Linuksowy, mające otwarte źródła klient Google Drive
Name:		grive
Version:	0.3.0
Release:	0.%{cdate}git%{shortcommit}.%{rel}
License:	GPL v2
Group:		Applications/Networking
Source0:	https://github.com/Grive/grive/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
# Source0-md5:	4f3c3411588f889801bd5b9297e6e2c9
# https://github.com/Grive/grive/issues/187
Patch0:		json-c.patch
Patch1:		%{name}-bgrive_cmake_fix.patch
Patch2:		build.patch
Patch3:		binutils-2.34.patch
Patch4:		%{name}-json-c-0.14.patch
URL:		https://github.com/Grive/grive
BuildRequires:	QtCore-devel >= 4
BuildRequires:	QtGui-devel >= 4
BuildRequires:	binutils-devel
BuildRequires:	boost-devel >= 1.40.0
BuildRequires:	cmake >= 2.8
BuildRequires:	curl-devel
BuildRequires:	expat-devel
BuildRequires:	json-c-devel >= 0.11
BuildRequires:	libgcrypt-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel
BuildRequires:	qt4-build
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	yajl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of this project is to provide an independent
implementation of Google Drive client. It uses the Google Document
List API to talk to the servers in Google.

%description -l pl.UTF-8
Celem tego projektu jest zapewnienie niezależnej implementacji klienta
Google Drive. Do komunikacji z serwerami Google'a wykorzystuje API
Google Document List.

%package -n bgrive
Summary:	Qt frontend for Grive
Summary(pl.UTF-8):	Interfejs Qt do Grive
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description -n bgrive
GUI frontend for Grive.

%description -n bgrive -l pl.UTF-8
Graficzny interfejs użytkownika do Grive.

%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/grive
%{_mandir}/man1/grive.1*

%files -n bgrive
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bgrive
%changelog
* Wed Aug 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grive.git;a=log;h=master

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> 5427e76
- Release 43 (by relup.sh)

* Wed Aug 10 2022 Jan Palus <atler@pld-linux.org> b0d93af
- binutils rebuild

* Wed Aug 10 2022 Jan Palus <atler@pld-linux.org> 6e40746
- macros for %cmake

* Wed Aug 10 2022 Jan Palus <atler@pld-linux.org> d0e2dac
- BR: qt4-build

* Sat Jun 04 2022 Jan Palus <atler@pld-linux.org> 07a89f2
- boost rebuild

* Mon Feb 14 2022 Jan Rękorajski <baggins@pld-linux.org> b6f2c4e
- Release 40 (by relup.sh)

* Tue Jan 18 2022 Jan Palus <atler@pld-linux.org> 2b44d33
- boost rebuild

* Tue Aug 17 2021 Jan Rękorajski <baggins@pld-linux.org> c3d3488
- rebuild for new boost

* Wed Jul 21 2021 Jan Palus <atler@pld-linux.org> 7c2b895
- binutils rebuild

* Thu Feb 11 2021 Jan Palus <atler@pld-linux.org> 36fedb6
- binutils rebuild
- release 36 (by relup.sh)

* Mon Oct 05 2020 Jan Rękorajski <baggins@pld-linux.org> 52d7ff4
- release 35 (by relup.sh)

* Mon Oct 05 2020 Jan Rękorajski <baggins@pld-linux.org> 4235296
- release 34 (by relup.sh)

* Wed Jul 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 960c7b1
- rel 33 (boost 1.73)

* Sat Jul 25 2020 Jakub Bogusz <qboosh@pld-linux.org> cb405b4
- rel 32 (libbfd soname change)

* Sat May 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 42b56d9
- versioned BRs

* Sat May 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 47e89ca
- added json-c-0.14 patch; rel 31

* Mon Mar 23 2020 Jan Rękorajski <baggins@pld-linux.org> 5ed4fe4
- bix building with binutils 2.34
- rel 30

* Tue Nov 19 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> e3c199d
- release 29 (by relup.sh)

* Thu Oct 10 2019 Jan Rękorajski <baggins@pld-linux.org> 7e09843
- rebuild with boost 1.71 and icu 65.1
- release 28 (by relup.sh)

* Thu Jun 06 2019 Jan Rękorajski <baggins@pld-linux.org> a8e66de
- update BRs
- rel 27

